DX Application Performance Management

New Oracle to Postgres Migration Utility (Unsupported)

  • 1.  New Oracle to Postgres Migration Utility (Unsupported)

    Posted 09-19-2017 12:54 PM

    https://support.ca.com/us/knowledge-base-articles.TEC1430711.html  - Can I use the APM Config Import Tool to migrate from Oracle to Postgres?

     

    Issue

     A customer is upgrading his EM from a lower version of APM to the latest version. In the lower version, he is using Oracle database. Now in the latest version, he wants to use the Postgres database instead of Oracle. So, he exports data from Oracle using configexport command. This will generate export_cem_oracle.xml file. Using this file, he will now try to import the data into Postgres database using configimport command.

     

    Environment

    All supported APM and Oracle/Postgres releases. However, the utility was only tested with upgrading from 9.5.3 to 10.5.1 release. 9.5.3 EM had Oracle database 10.1.0.0 and 10.5.1 EM had Postgres 9.5.

     

    Important Note: 

    This tool is provided AS-IS without official support. It is highly recommended to backup the Oracle and Postgres systems before deploying the Export Oracle utility

     

    Files: 

    https://communities.ca.com/docs/DOC-231177041-exportoracletopostgrestxt   -- Read Me

    https://communities.ca.com/docs/DOC-231177040-exportoracletopostgresjar  - Jar File